[meta] Frontend debugger refactor
Meta bug to track my progress for the frontend refactor. Ultimate goal right now is to use modules, separate views from the controllers, and use a primitive flux-style architecture for interacting with state. That's the whole scope of this bug, it is not interested in React yet. I'd like to avoid a huge meta bug and migrate in smaller steps.